<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class RefundStatus implements ConstantsInterface
{
    public const COMPLETED = 'completed';
    public const PROGRESS = 'progress';
    public const FAILED = 'failed';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::COMPLETED,
            self::PROGRESS,
            self::FAILED,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::PROGRESS;
    }
}
